﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UserControlSample
{
    public partial class SampleUserControl : UserControl, INotifyPropertyChanged
    {
        public SampleUserControl()
        {
            InitializeComponent();
        }

        private void OnButtonClickClick(object sender, EventArgs e)
        {
            Value = "0";
        }

           public object Value
        {
            get { return textBox1.Text; ; }
            set
            {
                if (value != null)
                {
                    textBox1.Text = value.ToString();
                }
                FirePropertyChanged("Value");
            }
        }

           private void OnTextChanged(object sender, EventArgs e)
           {
               Value = textBox1.Text;
           }

  
        public event PropertyChangedEventHandler PropertyChanged;
        #region OnPropertyChanged
        /// <summary>
        /// Triggers the PropertyChanged event.
        /// </summary>
        public virtual void FirePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(null/*this*/, new PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion

     
    }

}
