﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace WindowCEUserControlSample
{
    public partial class SampleCEUserControl : UserControl, INotifyPropertyChanged
    {
        
        public SampleCEUserControl()
        {
            InitializeComponent();
        }
        
        public object Value
        {
            get { return textBox1.Text; ; }
            set
            {
                if (value != null)
                {
                    textBox1.Text = value.ToString();
                }
                FirePropertyChanged("Value");
            }
        }

        private void OnButtonClick(object sender, EventArgs e)
        {
            Value = "0";
          
        }

        private void OnLostFocus(object sender, EventArgs e)
        {
            Value = textBox1.Text;
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        #region OnPropertyChanged
        /// <summary>
        /// Triggers the PropertyChanged event.
        /// </summary>
        public virtual void FirePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(null/*this*/, new PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion


        #endregion
    }
}